# Generated from openstudio-standards-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name openstudio-standards

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: Creates OpenStudio models of typical buildings, creates standard baselines from proposed models, and checks a model against a standard
License: Modified BSD License
URL: http://openstudio.net
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(nokogiri) >= 1.16
# BuildRequires: rubygem(nokogiri) < 2
# BuildRequires: rubygem(parallel_tests) >= 3.7.0
# BuildRequires: rubygem(parallel_tests) < 3.8
# BuildRequires: rubygem(codecov)
# BuildRequires: rubygem(minitest) >= 5.14.0
# BuildRequires: rubygem(minitest) < 5.15
# BuildRequires: rubygem(minitest-ci)
# BuildRequires: rubygem(minitest-parallel_fork)
# BuildRequires: rubygem(minitest-reporters) >= 1.4.2
# BuildRequires: rubygem(minitest-reporters) < 1.5
# BuildRequires: rubygem(openstudio-api-stubs)
# BuildRequires: rubygem(rubocop) = 1.50
# BuildRequires: rubygem(rubocop-checkstyle_formatter) >= 0.6.0
# BuildRequires: rubygem(rubocop-checkstyle_formatter) < 0.7
# BuildRequires: rubygem(ruby-progressbar)
# BuildRequires: rubygem(rubyXL) >= 3.4
# BuildRequires: rubygem(rubyXL) < 4
# BuildRequires: rubygem(simplecov) = 0.22.0
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
The openstudio-standards library provides methods for programatically
generating, modifying, and checking OpenStudio building energy models. It can
create a typical building from user geometry, template geometry, or
programmatically generated geometry. It can apply a building standard
including ASHRAE 90.1 or NECB to a model. It can transform a proposed building
model into a 90.1 Appendix G code baseline model. It can check a model against
a building standard. It can generate represenative typical buildings, such as
those used in ComStock.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Nov 05 2024 mockbuilder - 0.7.0-1
- Initial package
